/**
 * Invisible indicator that causes an enemy to turn around when it hits it.
 * @moduleName EnemyTurner
 */
bento.define('entities/enemyturner', [
    'bento',
    'bento/math/vector2',
    'bento/math/rectangle',
    'bento/entity'
], function (
    Bento,
    Vector2,
    Rectangle,
    Entity
) {
    'use strict';
    return function (settings) {
        return new Entity({
            boundingBox: Rectangle(-64, -128, 128, 128),
            name: 'enemyTurner',
            family: ['enemyTurner']
        });
    };
});