cordova.define("cordova-plugin-cmplay-sdk.CMPPromotionUtilsJs", function(require, exports, module) {
var exec = require('cordova/exec');
var PLUGIN_NAME = "CMPPromotionUtilsJs";
exports.echo = function (arg0, successCallback, errorCallback) {
        // calls echo command in native class Echo with arg0
    exec(successCallback, errorCallback, PLUGIN_NAME, "echo", [arg0]);
};

exports.initPromotionSdk = function (successCallback, errorCallback) {
        // calls initPromotionSdk command in native class CMPPromotionUtilsJs
    exec(successCallback, errorCallback, PLUGIN_NAME, "initPromotionSdk");
};

exports.setEnableDebug = function (arg0, successCallback, errorCallback) {
// calls setEnableDebug command in native class CMPPromotionUtilsJs
   exec(successCallback, errorCallback, PLUGIN_NAME, "setEnableDebug", [arg0]);
};
               
exports.getCloudData = function (arg0, arg1, successCallback, errorCallback) {
// calls getCloudData command in native class CMPPromotionUtilsJs
   exec(successCallback, errorCallback, PLUGIN_NAME, "getCloudData", [arg0,arg1]);
};
               
exports.pullCloudConfigData = function (arg0, successCallback, errorCallback) {
        // calls pullCloudConfigData command in native class CMPPromotionUtilsJs with arg0
    exec(successCallback, errorCallback, PLUGIN_NAME, "pullCloudConfigData", [arg0]);
};

exports.getIntValue = function (arg0, arg1, arg2, arg3, successCallback, errorCallback) {
        // calls getIntValue command in native class CMPPromotionUtilsJs with arg0
    exec(successCallback, errorCallback, PLUGIN_NAME, "getIntValue", [arg0, arg1, arg2, arg3]);
};

exports.getLongValue = function (arg0, arg1, arg2, arg3, successCallback, errorCallback) {
        // calls getLongValue command in native class CMPPromotionUtilsJs with arg0
    exec(successCallback, errorCallback, PLUGIN_NAME, "getLongValue", [arg0, arg1, arg2, arg3]);
};

exports.getBooleanValue = function (arg0, arg1, arg2, arg3, successCallback, errorCallback) {
        // calls getBooleanValue command in native class CMPPromotionUtilsJs with arg0
    exec(successCallback, errorCallback, PLUGIN_NAME, "getBooleanValue", [arg0, arg1, arg2, arg3]);
};

exports.getDoubleValue = function (arg0, arg1, arg2, arg3, successCallback, errorCallback) {
        // calls getDoubleValue command in native class CMPPromotionUtilsJs with arg0
    exec(successCallback, errorCallback, PLUGIN_NAME, "getDoubleValue", [arg0, arg1, arg2, arg3]);
};

exports.getStringValue = function (arg0, arg1, arg2, arg3, successCallback, errorCallback) {
        // calls getStringValue command in native class CMPPromotionUtilsJs with arg0
    exec(successCallback, errorCallback, PLUGIN_NAME, "getStringValue", [arg0, arg1, arg2, arg3]);
};

exports.onResume = function (successCallback, errorCallback) {
        // calls onResume command in native class CMPPromotionUtilsJs
    exec(successCallback, errorCallback, PLUGIN_NAME, "onResume");
};

exports.onPause = function (successCallback, errorCallback) {
        // calls onPause command in native class CMPPromotionUtilsJs
    exec(successCallback, errorCallback, PLUGIN_NAME, "onPause");
};

exports.onGameExit = function (successCallback, errorCallback) {
        // calls onGameExit command in native class CMPPromotionUtilsJs
    exec(successCallback, errorCallback, PLUGIN_NAME, "onGameExit");
};

exports.reportData = function (arg0, arg1, successCallback, errorCallback) {
        // calls reportData command in native class CMPPromotionUtilsJs with arg0
    exec(successCallback, errorCallback, PLUGIN_NAME, "reportData", [arg0, arg1]);
};

exports.showGDPRView = function (successCallback, errorCallback) {
    exec(successCallback, errorCallback, PLUGIN_NAME, "showGDPRView");
};
               
exports.isAgreeGDPRPrivacyPolicy = function (successCallback, errorCallback) {
    exec(successCallback, errorCallback, PLUGIN_NAME, "isAgreeGDPRPrivacyPolicy");
};
               
exports.isAgreeGDPRAdStayInformed = function (successCallback, errorCallback) {
    exec(successCallback, errorCallback, PLUGIN_NAME, "isAgreeGDPRAdStayInformed");
};

exports.saveGDPRAgreedAdStayInformed = function (isAgree, successCallback, errorCallback) {
    exec(successCallback, errorCallback, PLUGIN_NAME, "saveGDPRAgreedAdStayInformed", [isAgree]);
};

exports.saveGDPRAgreedPrivacyPolicy = function (isAgree, successCallback, errorCallback) {
    exec(successCallback, errorCallback, PLUGIN_NAME, "saveGDPRAgreedPrivacyPolicy", [isAgree]);
};
               
exports.checkIsGDPREnforcedCountry = function (successCallback, errorCallback) {
    exec(successCallback, errorCallback, PLUGIN_NAME, "checkIsGDPREnforcedCountry");
};

});
